LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
cppu::ImplHelper8< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 > Class Template Reference

Implementation helper implementing interface css::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting. More...

`#include <implbase8.hxx>`

Inheritance diagram for cppu::ImplHelper8< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Protected Member Functions
| ~ImplHelper8 () SAL_NOEXCEPT

## Detailed Description

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8>
class cppu::ImplHelper8< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >

Implementation helper implementing interface css::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting.

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s) including acquire()/ release() and delegates incoming queryInterface() calls to this base class.

## Constructor & Destructor Documentation

## ◆ ~ImplHelper8()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8>

cppu::ImplHelper8< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::~ImplHelper8 | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ getImplementationId()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8>

virtual css::uno::Sequence< sal_Int8 > cppu::ImplHelper8< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::getImplementationId | ( |  | ) |
| inline virtual

## ◆ getTypes()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8>

virtual css::uno::Sequence< css::uno::Type > cppu::ImplHelper8< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::getTypes | ( |  | ) |
| inline virtual

## ◆ queryInterface()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8>

virtual css::uno::Any cppu::ImplHelper8< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inline virtual

The documentation for this class was generated from the following file:

- cppuhelper/implbase8.hxx